Subject: Mantis vs. Troy vs. ?

From: [email-masked] (Rasjad Kenton Lints)
Date: 28 Mar 1995 14:58:39 GMT

My wife is thinking of purchasing the small Mantis router-tiller (vs. the
small Troy Built).  She likes the Mantis for its additional attachments,
etc.  Any comments on reliablity, etc.  We don't need a large
router-tiller as we rent one when we do (also don't have room for it).

Please email me directly, as I don't read this newsgroup very often.

Rasjad Lints
[email-masked]

-- 
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
Launchpad is an experimental internet BBS. The views of its users do not 
necessarily represent those of UNC-Chapel Hill, OIT, or the SysOps.
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --